import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_notification_bloc/src/domain/entities/remote_notifications.dart';

abstract class NotificationRemoteDataSource extends BaseRepository {
  Future<void> register();

  Stream<RemoteNotificationWrapper> onNotification();

  Stream<RemoteNotificationWrapper> onNotificationOpened();

  Future<RemoteNotificationWrapper?> getInitialMessage();

  Future<String> getToken();

  Future<void> subscribeToTopic(String topic);

  Future<void> unsubscribeFromTopic(String topic);
}
