import 'dart:async';

import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_notification_bloc/src/domain/entities/remote_notifications.dart';

abstract class NotificationRepository extends BaseRepository {
  FutureOrResult<void> register();

  FutureOrResult<Stream<RemoteNotificationWrapper>> onNotification();

  FutureOrResult<Stream<RemoteNotificationWrapper>> onNotificationOpened();

  FutureOrResult<RemoteNotificationWrapper?> getInitialMessage();

  FutureOrResult<String> getToken();

  FutureOrResult<void> subscribeToTopic(String topic);

  FutureOrResult<void> unsubscribeFromTopic(String topic);
}
