import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_notification_bloc/src/domain/repositories/notification_repository.dart';

class Register extends AsyncUseCase<NoParam, void> {
  final NotificationRepository _notificationRepository;

  Register({required NotificationRepository notificationRepository})
      : _notificationRepository = notificationRepository;
  @override
  FutureOrResult<void> call(NoParam? params) async {
    final registration = await _notificationRepository.register();
    final userToken = await _notificationRepository.getToken();
    print("User FCM Token : ${userToken.ok}");
    return registration;
  }
}
