part of 'notification_cubit.dart';

class NotificationState extends Equatable {
  final NotificationStatus _notificationStatus;

  const NotificationState._({required NotificationStatus notificationStatus})
      : _notificationStatus = notificationStatus;

  const NotificationState.unknown()
      : this._(
          notificationStatus: NotificationStatus.unknown,
        );

  const NotificationState.authorized()
      : this._(
          notificationStatus: NotificationStatus.authorized,
        );

  const NotificationState.unauthorized()
      : this._(
          notificationStatus: NotificationStatus.unauthorized,
        );

  NotificationStatus get notificationStatus => _notificationStatus;

  @override
  List<Object?> get props => [_notificationStatus];

  @override
  String toString() => 'NotificationState(status: $notificationStatus)';
}
